%define api	48
%define major	1
%define libname	%mklibname gnote %{api} %{major}

%global tarball_version %%(echo %{version} | tr '~' '.')

Summary:	Note-taking application
Name:		gnote
Version:	48.1
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3
URL:		https://wiki.gnome.org/Gnote
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(giomm-2.68)
BuildRequires:	pkgconfig(glibmm-2.68)
BuildRequires:	pkgconfig(gtkmm-4.0) >= 4.10.0
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libsecret-1) >= 0.8
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(UnitTest++)
BuildRequires:	appstream-util
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel

%global __provides_exclude_from ^%{_libdir}/%{name}/plugins/*/.*\\.so$

%description
Gnote is a simple desktop note-taking application for GNOME.
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Note-taking application library

%description -n	%{libname}
This is the note-taking application library.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.so

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%license COPYING COPYING-DOCS
%doc AUTHORS NEWS README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_metainfodir}/org.gnome.Gnote.appdata.xml
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/gnome-shell/search-providers/org.gnome.Gnote.search-provider.ini
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}


%changelog
* Wed May 14 2025 daviddavid <daviddavid> 48.1-1.mga10
+ Revision: 2183512
- new version 48.1

* Mon Mar 24 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2169327
- new version 48.0

* Sun Mar 16 2025 wally <wally> 47.2-2.mga10
+ Revision: 2164820
- rebuild for libxml2 2.13.6

* Sun Jan 05 2025 daviddavid <daviddavid> 47.2-1.mga10
+ Revision: 2135554
- new version 47.2

* Sun Sep 22 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2100053
- new version 47.0

* Thu Aug 08 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2084128
- new version 46.1

* Sun Mar 24 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2051651
- new version 46.0

* Sun Dec 31 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2024782
- new version 45.1

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992467
- Update to 45.0

* Sun Apr 23 2023 daviddavid <daviddavid> 44.0-1.mga9
+ Revision: 1954509
- new version 44.0

* Mon Feb 06 2023 daviddavid <daviddavid> 43.1-1.mga9
+ Revision: 1938917
- new version 43.1

* Sat Oct 22 2022 wally <wally> 43.0-1.mga9
+ Revision: 1898463
- new version 43.0

* Tue Sep 20 2022 tv <tv> 43~beta-1.mga9
+ Revision: 1890894
- Update to 43.beta

* Sun Jul 31 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1874064
- new version 42.1

* Mon Mar 28 2022 tv <tv> 42.0-1.mga9
+ Revision: 1829789
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 42~beta-1.mga9
+ Revision: 1794458
- Update to 42.beta

* Mon Jan 10 2022 tv <tv> 41.2-1.mga9
+ Revision: 1767638
- Major: 1 -> 0 (sigh)
- 41.2
+ ovitters <ovitters>
- new version 40.3
- new version 40.2

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721606
- bump major
- new version 40.1

* Sat Mar 27 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1711167
- new version 40.0
- new version 3.38.1

* Sat Sep 19 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1628794
- new version 3.38.0

* Thu Jun 11 2020 ovitters <ovitters> 3.37.0-1.mga8
+ Revision: 1592400
- major resets back to 0 (new api)
- new version 3.37.0

* Sun May 10 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1582749
- new version 3.36.1

* Sun Mar 15 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1556452
- new version 3.36.0

* Mon Feb 24 2020 tv <tv> 3.35.0-1.mga8
+ Revision: 1549937
- 3.35.0

* Tue Feb 18 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1538610
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Nov 24 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1462661
- new version 3.34.1

* Sat Sep 21 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1444361
- new version 3.34.0

* Tue Aug 13 2019 ovitters <ovitters> 3.33.0-1.mga8
+ Revision: 1429105
- new version 3.33.0

* Sun Apr 14 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1390037
- new version 3.32.1

* Sun Mar 17 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1378309
- new version 3.32.0

* Sat Mar 09 2019 daviddavid <daviddavid> 3.31.0-1.mga7
+ Revision: 1373020
- new version 3.31.0

* Sun Sep 23 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1302140
- new version 3.30.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1210818
- new version 3.28.0

* Sat Sep 23 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1158349
- new release

* Sun Aug 20 2017 ovitters <ovitters> 3.24.1-1.mga7
+ Revision: 1142498
- new version 3.24.1

* Mon Mar 27 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1095005
- new version 3.24.0

* Sun Mar 19 2017 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1093622
- new version 3.22.2

* Sun Nov 27 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1070440
- new version 3.22.1

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1056102
- new version 3.22.0

* Sat Sep 24 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1055811
- new version 3.20.2

* Sun May 15 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1015798
- new version 3.20.1

* Sat Mar 26 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 995599
- new version 3.20.0

* Mon Feb 01 2016 daviddavid <daviddavid> 3.19.0-1.mga6
+ Revision: 929700
- new version: 3.19.0
- add doc files

* Sat Nov 28 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 906839
- new version 3.18.1

* Tue Sep 29 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 885018
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 879366
- new version 3.17.1

* Tue Aug 11 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 862474
- new version 3.17.0

* Sun Jul 12 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 853424
- new version 3.16.2

* Sun Jun 21 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838518
- new version 3.16.1

* Sat Jan 17 2015 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 811188
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 746778
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731627
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.0-2.mga5
+ Revision: 679799
- Mageia 5 Mass Rebuild

* Fri May 30 2014 fwang <fwang> 3.13.0-1.mga5
+ Revision: 627932
- update api
+ ovitters <ovitters>
- new version 3.13.0

* Wed Mar 26 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608713
- new version 3.12.0

* Thu Feb 06 2014 dams <dams> 3.11.1-1.mga5
+ Revision: 584119
- update api
+ ovitters <ovitters>
- new version 3.11.1

* Tue Dec 31 2013 pterjan <pterjan> 3.10.2-1.mga4
+ Revision: 563614
- Update to 3.10.2 (bugfix release fixing a crash on mate and cinnamon)

* Tue Dec 31 2013 pterjan <pterjan> 3.10.1-3.mga4
+ Revision: 563598
- Drop obsolete build dependency on libpanelapplet

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-2.mga4
+ Revision: 550173
- fix url

* Sun Oct 27 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 547341
- new version 3.10.1

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 538036
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 3.10.0-1.mga4
+ Revision: 488370
- update file list
- update libmajor
+ ovitters <ovitters>
- new version 3.10.0

* Mon Aug 26 2013 dams <dams> 3.9.3-1.mga4
+ Revision: 471893
- enable spellchecking
- update major
+ ovitters <ovitters>
- new version 3.9.3

* Sun Jul 28 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 459211
- new version 3.9.4
- update api
- update major
- update %%files

* Tue Jul 09 2013 fwang <fwang> 3.8.1-2.mga4
+ Revision: 451857
- rebuild for new boost

* Sat May 25 2013 ovitters <ovitters> 3.8.1-1.mga4
+ Revision: 427167
- update api and major
- new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.7.2-2.mga3
+ Revision: 352301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 341541
- new version 3.7.2

* Sun Dec 09 2012 barjac <barjac> 3.7.1-1.mga3
+ Revision: 329030
- new major
+ ovitters <ovitters>
- new version 3.7.1

* Wed Nov 07 2012 bersuit <bersuit> 3.7.0-1.mga3
+ Revision: 316132
- updated to upstream 3.7.0

* Sun Oct 28 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 311065
- new version 3.6.1

* Thu Sep 27 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 298554
- update libapi
- update br
- convert to new help system
- new version 3.6.0

* Sun Sep 16 2012 fwang <fwang> 3.5.0-2.mga3
+ Revision: 294298
- add upstream patch to ensure gnote won't exit when closing window

* Mon Aug 27 2012 fwang <fwang> 3.5.0-1.mga3
+ Revision: 284562
- update libmajor
- update br
+ ovitters <ovitters>
- drop merged patch
- fix source url
- new version 3.5.0

* Fri Jul 06 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 268367
- update file list
- fix linkage
- br gnome-keyring
- new version 0.9.1

* Sun Apr 15 2012 ovitters <ovitters> 0.8.3-1.mga3
+ Revision: 230891
- new version 0.8.3
+ fwang <fwang>
- revert to stable series
- new version 0.9.0
- new version 0.9.0

* Tue Dec 20 2011 fwang <fwang> 0.8.2-1.mga2
+ Revision: 184777
- panel applet disabled by upstream
- new version 0.8.2

* Tue Oct 25 2011 fwang <fwang> 0.8.1-1.mga2
+ Revision: 157982
- drop merged patch
- new version 0.8.1

* Sun Sep 25 2011 fwang <fwang> 0.8.0-1.mga2
+ Revision: 147619
- update file list
- update file list
- fix str fmt
- new version 0.8.0

* Wed Sep 21 2011 fwang <fwang> 0.7.5-2.mga2
+ Revision: 146261
- drop .la files
- new version 0.7.5

* Mon Jun 27 2011 fwang <fwang> 0.7.4-2.mga2
+ Revision: 114330
- br gconf
- add more br
- disable panel applet
- new version 0.7.4
+ dmorgan <dmorgan>
- Rebuild against gnome 3

* Fri Apr 01 2011 ahmad <ahmad> 0.7.3-3.mga1
+ Revision: 79532
- imported package gnote


* Tue Mar 15 2011 Funda Wang <fwang@mandriva.org> 0.7.3-2mdv2011.0
+ Revision: 644851
- force filesystem v2
- rebuild for new boost

* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 593318
- new version
- update file list
- drop patch

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.7.2-3mdv2011.0
+ Revision: 572250
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.2-2mdv2011.0
+ Revision: 565989
- rebuild for new boost

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 518354
- new version
- fix build

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2010.1
+ Revision: 500081
- rebuild for new boost

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 486229
- update to new version 0.7.1

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 484720
- add dbus support based on dbus-c++

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 484505
- update to new version 0.7.0

* Sat Nov 28 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.1
+ Revision: 470854
- new version

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 0.6.2-2mdv2010.0
+ Revision: 418879
- rebuild for new libboost

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2010.0
+ Revision: 415766
- update to new version 0.6.2
- fix build deps for backports

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.6.1-2mdv2010.0
+ Revision: 409061
- Updated buildrequires for libuuid.

* Sat Aug 01 2009 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 405331
- new version 0.6.1

* Thu Jul 30 2009 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2010.0
+ Revision: 404487
- update to new version 0.6.0

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 396179
- update to new version 0.5.3

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 391330
- update to new version 0.5.2
- enable checks

* Fri Jun 26 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 389361
- make it appear in KDE menu as well
- spec fixes

* Thu Jun 25 2009 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 388907
- update to new version 0.5.1
- update build deps

* Wed Jun 17 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 386561
- new version
- fix build deps
- fix source URL
- update file list

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated to 0.4.0

  + Michael Scherer <misc@mandriva.org>
    - Add BuildRequires
    - add Summary, Group, License and description
    - import gnote


